#---------------------------------------------------------------------------------------------------
# %L                                                                                               -
# chvote-pact                                                                                      -
# %%                                                                                               -
# Copyright (C) 2016 - 2018 République et Canton de Genève                                         -
# %%                                                                                               -
# This program is free software: you can redistribute it and/or modify                             -
# it under the terms of the GNU Affero General Public License as published by                      -
# the Free Software Foundation, either version 3 of the License, or                                -
# (at your option) any later version.                                                              -
#                                                                                                  -
# This program is distributed in the hope that it will be useful,                                  -
# but WITHOUT ANY WARRANTY; without even the implied warranty of                                   -
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                     -
# GNU General Public License for more details.                                                     -
#                                                                                                  -
# You should have received a copy of the GNU Affero General Public License                         -
# along with this program. If not, see <http://www.gnu.org/licenses/>.                             -
# L%                                                                                               -
#---------------------------------------------------------------------------------------------------

apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: pact-frontend
spec:
  replicas: 1
  template:
    metadata:
      labels:
        app: pact-frontend
    spec:
      containers:
      - name: pact-frontend
        image: registry.gitlab.com/chvote2/web-apps/chvote-pact/pact-front:IMAGE_TAG
        imagePullPolicy: Always
        env:
          - name: BASE_URL
            value: /pact/
        ports:
        - containerPort: 80
          name: pact-frontend
        resources:
          requests:
            memory: "250M"
            cpu: "100m"
      imagePullSecrets:
        - name: registry.gitlab.com
